RiskResponse (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Class RiskResponse

- java.lang.Object
- - com.marketfactory.api.RiskResponse

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<RiskResponse>

      public final class RiskResponse
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<RiskResponse>, java.io.Serializable

  Enumerates which risk data succeeded and which failed.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `clRequestID`
    `RiskLimitStatus[]` | `limitStatus`
    `RiskUsageStatus[]` | `usageStatus`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RiskResponse()`
    `protected` | `RiskResponse(ProtoByteBuffer buffer)`
    `` | `RiskResponse(java.lang.String clRequestID, RiskLimitStatus[] limitStatus, RiskUsageStatus[] usageStatus)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RiskResponse rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clRequestID

          public java.lang.String clRequestID

    - #### limitStatus

          public RiskLimitStatus[] limitStatus

    - #### usageStatus

          public RiskUsageStatus[] usageStatus

  - ### Constructor Detail

    - #### RiskResponse

          public RiskResponse()

    - #### RiskResponse

          protected RiskResponse(ProtoByteBuffer buffer)

    - #### RiskResponse

          public RiskResponse(java.lang.String clRequestID,
                              RiskLimitStatus[] limitStatus,
                              RiskUsageStatus[] usageStatus)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(RiskResponse rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RiskResponse>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)